Package Scientific :: Package IO :: Module FortranFormat :: Class FortranFormat

[frames] | no frames]

# Class FortranFormat

Parsed Fortran-style format string

FortranFormat objects can be used as arguments when constructing FortranLine objects instead of the plain format string. If a format string is used more than once, embedding it into a FortranFormat object has the advantage that the format string is parsed only once.

Instance Methods

__getitem__(self, i) |

__init__(self, format, nested=False) |

__len__(self) |

Method Details

### __init__(self, format, nested=False)
(Constructor)

Parameters:
  - `format` (`str`) - a Fortran format specification
  - `nested` - for internal use